#### Previous topic

scipy.special.eval_chebyt

#### Next topic

scipy.special.eval_chebyc

# scipy.special.eval_chebyu

`scipy.special.``eval_chebyu`(n, x, out=None) = <ufunc 'eval_chebyu'>

  Evaluate Chebyshev polynomial of the second kind at a point.

  The Chebyshev polynomials of the second kind can be defined via the Gauss hypergeometric function \({}_2F_1\) as

  \[U_n(x) = (n + 1) {}_2F_1(-n, n + 2; 3/2; (1 - x)/2).\]

  When \(n\) is an integer the result is a polynomial of degree \(n\).

  Parameters:

  n : array_like

  > Degree of the polynomial. If not an integer, the result is determined via the relation to the Gauss hypergeometric function.

  x : array_like

  > Points at which to evaluate the Chebyshev polynomial

  Returns:

  U : ndarray

  > Values of the Chebyshev polynomial

  See also

  `roots_chebyu`
    roots and quadrature weights of Chebyshev polynomials of the second kind
  `chebyu`
    Chebyshev polynomial object
  `eval_chebyt`
    evaluate Chebyshev polynomials of the first kind
  `hyp2f1`
    Gauss hypergeometric function